Loading...
Searching...
No Matches
argument_parser_compatible_option Interface Reference
Argument Parser

Checks whether the the type can be used in an add_(positional_)option call on the argument parser. More...

`#include <seqan3/argument_parser/auxiliary.hpp>`

## Detailed Description

Checks whether the the type can be used in an add_(positional_)option call on the argument parser.

Template Parameters

  option_type | The type to check.

### Requirements

In order to model this concept, the type must either be streamable to std::istringstream or model seqan3::named_enumeration<option_type>.

Remarks
  For a complete overview, take a look at Argument Parser

The documentation for this interface was generated from the following file:

- auxiliary.hpp

Hide me